-------------------------------------------------------------------------------
--
-- Title       : fibonacciero1
-- Design      : fibonacciero1
-- Author      : Ney Calazans
-- Company     : PUCRS - Faculty of Informatics
--
-------------------------------------------------------------------------------
--
-- File        : fibonacciero1.vhd
-- Generated   : Fri Sep 26 09:21:50 2008
-- From        : interface description file
-- By          : Itf2Vhdl ver. 1.20
--
-------------------------------------------------------------------------------
--
-- Description : 
--
-------------------------------------------------------------------------------

--{{ Section below this comment is automatically maintained
--   and may be overwritten
--{entity {fibonacciero1} architecture {fibonacciero1}}

library IEEE;
use IEEE.STD_LOGIC_1164.all;
use IEEE.STD_LOGIC_unsigned.all;

entity fibonacciero1 is
	 port(
		 clock : in STD_LOGIC;
		 reset : in STD_LOGIC;
		 saida : out STD_LOGIC_VECTOR(7 downto 0)
	     );
end fibonacciero1;

--}} End of automatically maintained section

architecture fibonacciero1 of fibonacciero1 is
signal soma, soma_old, saida_int : STD_LOGIC_VECTOR(7 downto 0);
begin
	
	saida <= saida_int; 
	soma <= saida_int + soma_old; 
	
	process (clock, reset)
	begin			
		if reset='1' then
			soma_old <= (0=>'1', others=>'0');
			saida_int <= (others=>'0');
		elsif clock'event and clock='1' then
			soma_old <= soma;
			saida_int <= soma_old;
		end if;
	end process;
	

end fibonacciero1;
